Page MenuHomePhabricator

Support Portuguese wiki flag 'eliminator'
Closed, ResolvedPublic

Description

On Portuguese wikis, users/bots may have the eliminator flag and not sysop flag, to perform deletions.

Page.delete requires a sysop account.

Workaround is to use:

site.deletepage(page, u'reason', as_group='user')


Version: core-(2.0)
Severity: normal
See Also:
T57296: Wikia Helper and Staff rights

Details

Reference
bz73545

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:50 AM
bzimport added a project: Pywikibot-General.
bzimport set Reference to bz73545.
bzimport added a subscriber: Unknown Object (????).
jayvdb created this task.Nov 18 2014, 3:01 AM

A possible workaround is to add put the eliminator username in user-config's sysopnames

Change 209503 had a related patch set uploaded (by John Vandenberg):
Replace @must_be with @need_right

https://gerrit.wikimedia.org/r/209503

Not to be seen in compat.

Ricordisamoa set Security to None.
Sn1per added a subscriber: Sn1per.EditedAug 18 2016, 12:48 AM

Why not use action=query&meta=userinfo&uiprop=rights to find out if the current bot user has the delete user right?

EDIT: already covered in T71283

Can we deprecate the separation of normal user and sysop accounts?

Xqt added a subscriber: Xqt.Apr 15 2018, 9:35 AM

Can we deprecate the separation of normal user and sysop accounts?

I guess we should but this will be a big change. We should have a tracking task to coordinate the needed several steps.

Xqt triaged this task as Normal priority.Apr 15 2018, 9:36 AM

Change 531589 had a related patch set uploaded (by Huji; owner: Huji):
[pywikibot/core@master] Check a user's rights before checking its group memberships

https://gerrit.wikimedia.org/r/531589

Change 531589 merged by jenkins-bot:
[pywikibot/core@master] Check a user's rights before checking its group memberships

https://gerrit.wikimedia.org/r/531589

Huji closed this task as Resolved.Aug 26 2019, 5:22 PM
Huji claimed this task.
Huji added a subscriber: Huji.

I am assuming r531589 fixed this. Reopen if otherwise.